package com.ruoyi.basicData.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.basicData.domain.TCorps;
import com.ruoyi.basicData.domain.TCorps;

import java.util.List;

/**
 * 客户详情Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TCorpsMapper extends BaseMapper<TCorps> {
    /**
     * 查询客户详情
     *
     * @param fId 客户详情ID
     * @return 客户详情
     */
    public TCorps selectTCorpsById(Long fId);

    /**
     * 查询客户详情列表
     *
     * @param tCorps 客户详情
     * @return 客户详情集合
     */
    public List<TCorps> selectTCorpsList(TCorps tCorps);

    /**
     * 新增客户详情
     *
     * @param tCorps 客户详情
     * @return 结果
     */
    public int insertTCorps(TCorps tCorps);

    /**
     * 修改客户详情
     *
     * @param tCorps 客户详情
     * @return 结果
     */
    public int updateTCorps(TCorps tCorps);

    /**
     * 删除客户详情
     *
     * @param fId 客户详情ID
     * @return 结果
     */
    public int deleteTCorpsById(Long fId);

    /**
     * 批量删除客户详情
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTCorpsByIds(Long[] fIds);

    /**
     *  检验编号唯一
     * @param fNo
     * @return
     */
    public TCorps checkFNoUnique(String fNo);

    /**
     *  检验名称
     * @param fNname
     * @return
     */
    public TCorps checkUFNnameUnique(String fNname);

    /**
     * 检验地址
     * @param fCname
     * @return
     */
    public TCorps checkUFCnameUnique(String fCname);
}
